{% extends 'base.html' %}

{% block content %}

    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">{{ gpu1["key"]["name"] }}</th>
            <th scope="col">{{ gpu2["key"]["name"] }}</th>
        </tr>
        </thead>
        <tbody>
        <tr>
            <th scope="row">Manuefacturer</th>
            <td>{{ gpu1["manuefacturer"] }}</td>
            <td>{{ gpu2["manuefacturer"] }}</td>
        </tr>
        <tr>
            <th scope="row">Date issued</th>
            <td>{{ gpu1["date_issued"] }}</td>
            <td>{{ gpu2["date_issued"] }}</td>
        </tr>
        <tr>
            <th scope="row">geometryShader</th>
            <td>
                {% if gpu1["geometryShader"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
            <td>
                {% if gpu2["geometryShader"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
        </tr>
        <tr>
            <th scope="row">tesselationShader</th>
            <td>
                {% if gpu1["tesselationShader"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
            <td>
                {% if gpu2["tesselationShader"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
        </tr>
        <tr>
            <th scope="row">shaderInt16</th>
            <td>
                {% if gpu1["shaderInt16"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
            <td>
                {% if gpu2["shaderInt16"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
        </tr>
        <tr>
            <th scope="row">sparseBinding</th>
            <td>
                {% if gpu1["sparseBinding"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
            <td>
                {% if gpu2["sparseBinding"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
        </tr>
        <tr>
            <th scope="row">textureCompressionETC2</th>
            <td>
                {% if gpu1["textureCompressionETC2"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
            <td>
                {% if gpu2["textureCompressionETC2"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
        </tr>
        <tr>
            <th scope="row">vertexPipelineStoresAndAtomics</th>
            <td>
                {% if gpu1["vertexPipelineStoresAndAtomics"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
            <td>
                {% if gpu2["vertexPipelineStoresAndAtomics"] %}
                    <img src="/static/check.png" width="20px">
                {% else %}
                    <img src="/static/cross.png" width="20px">
                {% endif %}
            </td>
        </tr>
        </tbody>
    </table>

{% endblock %}